@media (max-width: 1800px) {
      .container {
        padding-inline: 1rem;
    }
}

@media (max-width: 1600px) {
  
}

@media (max-width: 1400px) {
}

@media (max-width: 1200px) {
}

@media (max-width: 1024px) {
}

@media (max-width: 992px) {
.ss {
    margin-bottom: 4rem !important;
}
.navbar-toggler {
    padding: 0;
    border: none;
    outline: none;
    box-shadow: none;
    border: none!important;
}

.header-bottom-part .navbar-links {
  padding-right: 0;
}

.title-text-section .text-button {
    grid-template-columns: 1fr; 
    grid-row-gap: 1rem; 
    align-items: start; 
    margin-top: 1rem;
}

 .products-section .module-category-card .category-item {
      grid-template-columns: 1fr;
      grid-template-rows: auto auto auto auto;
      gap: 1rem;
  }

.navbar-toggler:focus {
  box-shadow: none !important;
}

.navbar-toggler-bars {
    position: relative;
    width: 26px;
    height: 20px;
    display: block;
}

.line {
    position: absolute; 
    left: 0;
    width: 100%;
    height: 2px;
    background: #000;
    transition: var(--transition-fast);
}

.theme-switcher-box-with-icons {
  position: initial;
}

 .hero-section .hero-bottom-part-col .hero-bottom-part {
    grid-template-columns: 1fr; 
    grid-template-rows: auto auto auto; 
    row-gap: 40px; 
}

.navbar-toggler,
.theme-switcher-box-with-icons {
    display: flex;
    align-items: center;
}


.navbar .nav-right-group {
    display: flex;
    align-items: center;
    gap: 1rem; 
}

.dark-mode .line {
    background: #fff;
}

.dark-mode header .header-bottom-part {
  background: rgba(0, 0, 0, 0.8);
}

.dark-mode header .navbar-nav > .nav-item {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

header .header-bottom-part .navbar-menu .navbar-nav {
  gap: 0;
}

.line-a {
    top: 0;
}
.line-b {
    top: 9px;
    width: 65%;
    right: 0;
    margin-left: auto !important;
    background: #000;
}
.line-c {
    bottom: 0;
}

body.menu-open .line-a {
    top: 9px;
    transform: rotate(45deg);
}
body.menu-open .line-b {
    opacity: 0;
    right: 50%;
}
body.menu-open .line-c {
    top: 9px;
    transform: rotate(-45deg);
}

.hero-static-circle-left,
.hero-static-circle-right,
.hero-circle-inner {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-static-circle-left svg,
.hero-static-circle-right svg {
    max-width: 350px;
    width: 100%;
    height: auto;
}

.hero-circle-inner svg {
    max-width: 400px;
    width: 100%;
    height: auto;
    margin: 0 auto;
    display: block;
}

footer .logo-links-col .module-footer ul {
    justify-content: flex-start;
    flex-direction: column;
}

footer .footer-content .logo-links {
    grid-template-columns: 1fr !important;
    gap: 1.5rem;
}

footer .footer-content .logo-links .module-image img {
    max-width: 12rem !important;
}

.contact-section .title-section-col .title-section {
    margin-bottom: 3rem;
}

footer .social-part .module-code .line {
    display: none;
}

services-grid > .row {
    row-gap: 3.25rem;
}

.modal {
    z-index: 9999999;
}

.modal-content .modal-header {
    padding: 2rem 1rem;
}

.modal-content .btn-close { 
    top: 10px;
    right: 10px;
}

.dark-mode .module-text2.text-inner, .module-text2.text-inner  {
    padding: 1.5rem;
    /* margin-top: 3rem; */
}

/* .image-text-wrapper {
    margin-bottom: 2rem;
} */

.modal-fullscreen .modal-body {
    padding-block: 2rem;
}

.slick-dots li button {
    width: 30px;
}

.image-text-wrapper {
    flex-direction: column-reverse;
    gap: 5rem;
}

  .section-1 .card-header .card-image,
    .section-3 .card-header .card-image {
        width: 100% !important;
        height: auto !important;
    }


    .section-1 .card-header .card-image .image-wrapper .mb-3,
    .section-3 .card-header .card-image .image-wrapper .mb-3 {
        position: relative !important;
    }

    .secondary-hero-animated .hero-title-col .hero-title {
        width: 100%;
    }

     .section-1 .card-header .card-image .image-wrapper .mb-3 img, .section-3 .card-header .card-image .image-wrapper .mb-3 img {
        width: auto;
        height: auto;
    }

      .services-grid .card-header .card-image .image-wrapper img {
        aspect-ratio: 1 / 1;
    }
    

    .section-1 .card-header .card-image .image-wrapper .mb-3:first-of-type, .section-3 .card-header .card-image .image-wrapper .mb-3:first-of-type {
        top: 0;
        left: 150px;
    }

    .section-1 .card-header .card-image .image-wrapper .mb-3:nth-of-type(2), .section-3 .card-header .card-image .image-wrapper .mb-3:nth-of-type(2) {
        top: 0;
    }

    .section-1 .card-header .card-image .image-wrapper .mb-3:last-of-type, .section-3 .card-header .card-image .image-wrapper .mb-3:last-of-type {
        left: 150px;
        top: 0;

    }

    .modal-content .modal-title {
        font-weight: 500;
    }

    .modal-content .btn-secondary {
        padding: 10px 20px;
    }
    
    /* Products */
    .secondary-hero .text-inner-col .text-inner {
        margin-top: 3rem;
    }

    /* Contact */
    .contact-page .contact-text-inner-col .contact-text-inner {
        margin-bottom: 3rem;
    }

    .contact-page > .container > .row {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
    }

    /* Home */
    .hero-section {
        margin-top: 3rem;
    }

    .hero-section>.container { 
        padding-top: 3.5rem;
    }
    .secondary-hero-animated > .container {
        padding-top: 2.7rem;
    }
    
    .section-2 {
        margin-bottom: 3rem;
    }

    .services-grid > .row {
        row-gap: 3rem;
    }

    /* Blog */
    .category-title {
        /* margin-top: 10rem; */
    }
    
    .breadcrumbs-container-top {
        border-top: 1px solid #bab4b1;
    }

    /* About us */

    .about-us-section .image-inner-col .image-inner img {
        display: none;
    }
    .about-us-section .text-image-inner-col .text-image-inner {
        padding-left: 0;
    }

    .about-us-section .text-image-inner1-col .text-image-inner1, .about-us-section .text-image-inner-col .text-image-wrapper {
        padding-right: 1rem;
    }

    .about-us-section .text-image-inner1-col .text-image-wrapper {
        display: flex;
        flex-direction: row-reverse;
    }


    .about-us-section .text-image-inner1-col .text-image-inner1 p {
        padding-right: 0;padding-left: 5vw;
    }

    .about-us-section .text-image-inner2-col .text-image-inner2 {
        padding-left: 1rem;
    }

    .about-us-section .text-image-inner1-col .text-image-wrapper {
        padding-left: 1rem;
    }

    .breadcrumbs-container-top .breadcrumbs {
        flex-wrap: wrap;
    }
    .page-slug-blog .breadcrumbs-container-top .breadcrumbs {
        flex-wrap: nowrap;
    }

    .hero-circle-inner {
  opacity: 0;
  transition: opacity 0.6s ease-out;
}

.hero-circle-inner.loaded {
  opacity: 1;
}

}

@media (max-width: 768px) {
    .breadcrumbs-container-top .breadcrumbs a, .breadcrumbs-container-top .breadcrumbs span {
        white-space: wrap !important;
    }
    
    .blog-content .module-text2-simple figure.table tbody tr {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }

    .blog-content tr td:first-child {
     padding-right: 0;
    }

    .breadcrumbs-container-top .breadcrumbs {
        width: auto;
    }
    
     .ss {
        margin-bottom: 3rem !important;
    }
     .hero-static-circle-left svg,
    .hero-static-circle-right svg {
        max-width: 200px;
    }

    .hero-circle-inner svg{
        /* max-width: 200px; */
        margin: 0 auto;
    }

    .secondary-hero-animated > .container > .row {
        min-height: calc(90vh - var(--header-height) - 10rem);
    }

    .dark-mode .title > * {
        color: #fff;
    }

    .legal-menu .module-footer ul {
        justify-content: center !important;
    }
    .copyright-content {
        text-align: center;
        margin-bottom: 1rem;
    }

    .social-part .social-inner {
        flex-direction: column;
        align-items: start;
        gap: 1rem;
    }

    .blog-inner .blog-category-card {
        aspect-ratio: 1 / 1;
    }

      .products-grid .row {
        gap: 1.5rem;
    }

    header .navbar {
        padding: 1.5rem 0;
    }


    .header-bottom-part.appearance-menu-bar {
        z-index: -1; 
    }
/* 
    header.fixed .navbar {
        padding: .5rem !important;
    } */

    /* About us */

    .title-text-section .title-icon-col .title-icon .right-text {
        width: 100%;
        padding-left: 0;
    }

     .image-inner-col .module-image {
        aspect-ratio: unset;
        width: 100%;
        height: auto;
        margin-bottom: 5rem;
    }
    .image-inner-col .module-image img {
        width: 100%;
        height: auto;
        /* object-fit: contain; */
    }

    .image-inner-col .image-inner, .about-us-section .text-image-inner-col  {
        /* padding-inline: 2rem; */

    }   

    .about-us-section .text-image-inner-col .text-image-inner, .about-us-section .text-image-inner2-col .text-image-wrapper p {
        padding-left:  0;
    }

     .about-us-section .text-image-inner-col .text-image-wrapper {
        display: flex;
        flex-direction: column-reverse;
        gap: 2rem;
        padding-top: 2rem;
        margin-bottom: 2rem;
    }

    .about-us-section .text-image-inner1-col .text-image-inner1 p, .about-us-section .text-image-inner1-col .text-image-wrapper {
        padding-left: 0;
    }

    .about-us-section .text-image-inner-col .text-image-wrapper p {
        padding-right: 0;
    }


    .image-inner-col .image-inner  {
        display: none;
    }

    .about-us-section .text-image-inner1-col .text-image-wrapper {
        display: flex;
        flex-direction: column-reverse;
        gap: 2rem;
    }

     .about-us-section .text-image-inner2-col .text-image-wrapper {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
        gap: 3rem;

    }

    .about-us-section .text-image-inner3-col .text-image-wrapper {
        flex-direction: column-reverse;
    }

    .about-us-section .text-image-inner2-col .text-image-inner2 {
        padding-left: 0;
    }

    .about-us-section .text-image-inner1-col .text-image-inner1 {
        padding-right: 0;
    }

    .title-icon-col {
        margin-bottom: 3rem;
    }
    

    /* Services */

    .secondary-hero-animated .hero-title-col .hero-title, .secondary-hero-animated .animated-circle-col, .secondary-hero-animated .static-circle-col  {
        width: 100%;

    }

    .section-1 .card-header .card-image .image-wrapper .mb-3 img, .section-3 .card-header .card-image .image-wrapper .mb-3 img {
        width: 200px;
        height: 200px;
    }

    .services-grid .card-header .card-image .image-wrapper img {
        aspect-ratio: 1 / 1;
    }
    

    .section-1 .card-header .card-image .image-wrapper .mb-3:first-of-type, .section-3 .card-header .card-image .image-wrapper .mb-3:first-of-type {
        top: 0;
        left: 150px;
    }

    .section-1 .card-header .card-image .image-wrapper .mb-3:nth-of-type(2), .section-3 .card-header .card-image .image-wrapper .mb-3:nth-of-type(2) {
        top: -60px;
    }

    .section-1 .card-header .card-image .image-wrapper .mb-3:last-of-type, .section-3 .card-header .card-image .image-wrapper .mb-3:last-of-type {
        left: 150px;
        top: -120px;

    }

    .section-1 .card-header .card-image .image-wrapper .mb-3, .section-3 .card-header .card-image .image-wrapper .mb-3 {
        width: auto;
        height: auto;
    }

  
    
}

@media (max-width: 576px) {
}

@media (max-width: 480px) {
}

@media (max-width: 400px) {
}

@media (max-width: 320px) {
}
